path: /build/build/compiler-rt-sanitizers-sys-libs-13.0.0-13.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test clang elibc_glibc" emerge sys-libs/compiler-rt-sanitizers:13.0.0 -pv -t && \
    USE="-test clang elibc_glibc" emerge -j ${JOBS} --nodeps sys-libs/compiler-rt-sanitizers:13.0.0 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/compiler-rt-sanitizers && \
    luet-portage --dir /pkgdir/compiler-rt-sanitizers sys-libs/compiler-rt-sanitizers:13.0.0 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree:3fefc3ebe4c610699606b89dddfa0e13758000927a1310ba81269ce57f2c522a
  package:
    name: compiler-rt-sanitizers
    version: 13.0.0
    category: sys-libs-13.0.0
    use_flags:
    - -test
    - clang
    - elibc_glibc
    requires:
    - name: clang
      version: '>=0'
      category: sys-devel-13
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Compiler runtime libraries for clang (sanitizers & xray)
    uri:
    - https://llvm.org/
    license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
    buildtimestamp: 2023-12-13 18:52:06.861963217 +0000 UTC m=+143.671291331
    labels:
      BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) elibc_glibc? ( net-libs/libtirpc
        ) test? ( !<sys-apps/sandbox-2.13 || ( ( dev-lang/python:3.10 >=dev-python/lit-5[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 >=dev-python/lit-5[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 >=dev-python/lit-5[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 >=dev-python/lit-5[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) =sys-devel/clang-13.0.0*:13 sys-libs/compiler-rt:13.0.0 ) || ( dev-lang/python:3.10
        dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 ) dev-util/ninja
        dev-util/cmake'
      DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
      IUSE: +clang debug test elibc_glibc +libfuzzer +memprof +orc +profile +xray
        +asan +dfsan +lsan +msan +hwasan +tsan +ubsan +safestack +cfi +scudo +shadowcallstack
        +gwp-asan test
      emerge.packages: sys-libs/compiler-rt-sanitizers:13.0.0
      kit: llvm-kit
      original.package.name: sys-libs/compiler-rt-sanitizers
      original.package.slot: 13.0.0
      original.package.version: 13.0.0
    treedir: /build/packages
  package_dir: /pkgdir/compiler-rt-sanitizers
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 981cc830a8d89b4f354b02c7167a21bef48063086334eb1eb2ca072770990641
compressiontype: zstd
files:
- usr/lib/clang/13.0.0/bin/hwasan_symbolize
- usr/lib/clang/13.0.0/include/fuzzer/FuzzedDataProvider.h
- usr/lib/clang/13.0.0/include/profile/InstrProfData.inc
- usr/lib/clang/13.0.0/include/sanitizer/allocator_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/asan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/common_interface_defs.h
- usr/lib/clang/13.0.0/include/sanitizer/coverage_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/dfsan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/hwasan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/linux_syscall_hooks.h
- usr/lib/clang/13.0.0/include/sanitizer/lsan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/msan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/netbsd_syscall_hooks.h
- usr/lib/clang/13.0.0/include/sanitizer/scudo_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/tsan_interface.h
- usr/lib/clang/13.0.0/include/sanitizer/tsan_interface_atomic.h
- usr/lib/clang/13.0.0/include/sanitizer/ubsan_interface.h
- usr/lib/clang/13.0.0/include/xray/xray_interface.h
- usr/lib/clang/13.0.0/include/xray/xray_log_interface.h
- usr/lib/clang/13.0.0/include/xray/xray_records.h
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan-preinit-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.asan_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.cfi-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.cfi_diag-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.dd-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.dfsan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.dfsan-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.dyndd-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.fuzzer-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.fuzzer_interceptors-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.fuzzer_no_main-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.gwp_asan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_aliases-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_aliases-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_aliases-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_aliases_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_aliases_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.hwasan_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.lsan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof-preinit-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.memprof_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.msan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.msan-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.msan_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.msan_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.orc-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.profile-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.safestack-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_cxx_minimal-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_minimal-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_minimal-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_standalone-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_standalone-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.scudo_standalone_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.stats-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.stats_client-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.tsan-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.tsan-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.tsan_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.tsan_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_minimal-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone-x86_64.so
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone_cxx-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.ubsan_standalone_cxx-x86_64.a.syms
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.xray-basic-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.xray-fdr-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.xray-profiling-x86_64.a
- usr/lib/clang/13.0.0/lib/linux/libclang_rt.xray-x86_64.a
- usr/lib/clang/13.0.0/share/asan_ignorelist.txt
- usr/lib/clang/13.0.0/share/cfi_ignorelist.txt
- usr/lib/clang/13.0.0/share/dfsan_abilist.txt
- usr/lib/clang/13.0.0/share/hwasan_ignorelist.txt
- usr/lib/clang/13.0.0/share/msan_ignorelist.txt
- usr/share/doc/compiler-rt-sanitizers-13.0.0/README.txt.bz2
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/BDEPEND
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/BUILD_TIME
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CATEGORY
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CBUILD
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CHOST
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CONTENTS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/COUNTER
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/CXXFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/DEFINED_PHASES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/DEPEND
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/DESCRIPTION
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/EAPI
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/FEATURES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/HOMEPAGE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/INHERITED
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/IUSE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/KEYWORDS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/LDFLAGS
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/LICENSE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/NEEDED
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/PF
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/PROVIDES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/REQUIRES
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/RESTRICT
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/SIZE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/SLOT
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/USE
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/compiler-rt-sanitizers-13.0.0.ebuild
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/environment.bz2
- var/db/pkg/sys-libs/compiler-rt-sanitizers-13.0.0/repository
package_cacheimage: ""
runtime:
  name: compiler-rt-sanitizers
  version: 13.0.0
  category: sys-libs-13.0.0
  use_flags:
  - -test
  - clang
  - elibc_glibc
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Compiler runtime libraries for clang (sanitizers & xray)
  uri:
  - https://llvm.org/
  license: Apache-2.0-with-LLVM-exceptions || ( UoI-NCSA MIT )
  labels:
    BDEPEND: '>=dev-util/cmake-3.16 clang? ( sys-devel/clang ) elibc_glibc? ( net-libs/libtirpc
      ) test? ( !<sys-apps/sandbox-2.13 || ( ( dev-lang/python:3.10 >=dev-python/lit-5[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 >=dev-python/lit-5[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 >=dev-python/lit-5[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 >=dev-python/lit-5[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) =sys-devel/clang-13.0.0*:13 sys-libs/compiler-rt:13.0.0 ) || ( dev-lang/python:3.10
      dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 ) dev-util/ninja
      dev-util/cmake'
    DEPEND: '>=sys-devel/llvm-6 !!sys-devel/llvm:0'
    IUSE: +clang debug test elibc_glibc +libfuzzer +memprof +orc +profile +xray +asan
      +dfsan +lsan +msan +hwasan +tsan +ubsan +safestack +cfi +scudo +shadowcallstack
      +gwp-asan test
    emerge.packages: sys-libs/compiler-rt-sanitizers:13.0.0
    kit: llvm-kit
    original.package.name: sys-libs/compiler-rt-sanitizers
    original.package.slot: 13.0.0
    original.package.version: 13.0.0
